## Loader copyright Edge LLC Michael Vulpillat 2012
## Edgecons@usa.net
## Based on and inspired by TIG's awesome work.
## Is a loader that creates a toolbar and a single menu entry for modified tools:

## Original RRectangle Tool © @last Software, slightly modified here 
## Rotated Box and 3 Points Circle Cylinder tools © sdmitch
## created June 2012, checked on a Mac: Modified to not have a separate menu entry and to use the Alt Key instead of Ctrl.


## Version history:
## June 2012 V 1.1.1 (Updated RCyl to V1.2)
## June 2012 V 1.1 (updates to tools Box V1.2, Cyl V1.1)
## June 2012 Original version 1.0 (Bcurrent)


# Permission to use, copy, modify, and distribute this software without fee is 
# hereby granted for non commercial purpose only and, provided that the above
# copyright notice appear in all copies.
# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
# When used or intended to use for commercial purpose, i.e. Monetary benefit
# is received in connection with the use of this software, please contact 
# the author at EDGE LLC, edgecons@usa.net for licensing terms and conditions.


###
require 'sketchup.rb'
###
load '3Pts_Tools/rrectangleM.rb'
load '3Pts_Tools/Rotated BoxM.rb'
load '3Pts_Tools/Rotated Circle_CylinderM.rb'

###
class Setup3PTTools
	###
  def activate
	toolbar=UI::Toolbar.new("3 Points Tools")


    ###
	cmd0=UI::Command.new("3 Points Rectangles"){Sketchup.active_model.select_tool RRectangleTool.new}
	cmd0.small_icon="3Pts_Tools/RRectangle_SM.png"
	cmd0.large_icon="3Pts_Tools/RRectangle_LG.png"
	cmd0.tooltip="3Pts Rectangle"
	toolbar.add_item cmd0
    ###
	cmd1=UI::Command.new("3 Points Box"){Sketchup.active_model.select_tool RotatedBox.new}
	cmd1.small_icon="3Pts_Tools/RBox_SM.png"
	cmd1.large_icon="3Pts_Tools/RBox_LG.png"
	cmd1.tooltip="3Pts Box"
	toolbar.add_item cmd1
    ###
	cmd2=UI::Command.new("3 Points Circle-Cylinder"){Sketchup.active_model.select_tool ThreePointCylinder.new}
	cmd2.small_icon="3Pts_Tools/RCyl_SM.png"
	cmd2.large_icon="3Pts_Tools/RCyl_LG.png"
	cmd2.tooltip="3Pts Circle-Cylinder"
	toolbar.add_item cmd2
		###

		
	toolbar.restore
	
	submenu2D=UI.menu("Draw").add_submenu("3 Points...")
	###
	submenu2D.add_item("Rectangle"){Sketchup.active_model.select_tool RRectangleTool.new}
	submenu2D.add_item("Circle-Cylinder"){Sketchup.active_model.select_tool ThreePointCylinder.new}
	submenu2D.add_item("Box"){Sketchup.active_model.select_tool RotatedBox.new}
	###
  end#def activate
   ###
end#class
###
### adds Toolbar for 2D Tools...
if not file_loaded?(__FILE__)
  Sketchup.active_model.select_tool(Setup3PTTools.new)
end#if
file_loaded(__FILE__)